- [HTTP request](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/create#body.request_body)
- [Response body](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/create#body.response_body)
- [Authorization scopes](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/create#body.aspect)
- [Try it!](https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks/create#try-it)

Creates a partner link for the given account.

Authorization Headers:

This method supports the following optional headers to define how the API authorizes access for the request:

- `login-account`: (Optional) The resource name of the account where the Google Account of the credentials is a user. If not set, defaults to the account of the request. Format: `accountTypes/{loginAccountType}/accounts/{loginAccountId}`

### HTTP request

`POST https://datamanager.googleapis.com/v1/{parent=accountTypes/*/accounts/*}/partnerLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of partner links. Format: accountTypes/{accountType}/accounts/{account} |

### Request body

The request body contains an instance of `https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks#PartnerLink`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/data-manager/api/reference/rest/v1/accountTypes.accounts.partnerLinks#PartnerLink`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/datamanager`
- `https://www.googleapis.com/auth/datamanager.partnerlink`